---
title: NotificationEvent.action
slug: Web/API/NotificationEvent/action
tags:
  - API
  - Experimental
  - NotificationEvent
  - Notifications
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - action
---
<p>{{APIRef("Web Notifications")}}</p>

<p>Returns the string ID of the notification button the user clicked. This value returns an empty string if the user clicked the notification somewhere other than an action button, or the notification does not have a button. The notification id is set during the creation of the Notification via the actions array attribute and can't be modified unless the notification is replaced.</p>

<h2 id="Returns">Returns</h2>

<p>A {{domxref("DOMString")}} object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate" id="example-50e7c86c">self.registration.showNotification("New articles available", {
  actions: [{action: "get", title: "Get now."}]
});

self.addEventListener('notificationclick', function(event) {
  event.notification.close();
  if (event.action === 'get') {
    synchronizeReader();
  } else {
    clients.openWindow("/reader");
  }
}, false);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-actions','action')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NotificationEvent.action")}}</p>
